## org.mortbay.http
Class ContextLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--java.security.SecureClassLoader
                  |
                  +--java.net.URLClassLoader
                        |
                        +--org.mortbay.http.ContextLoader

public class ContextLoader
extends java.net.URLClassLoader

ClassLoader for HttpContext. Specializes URLClassLoader with some utility and file mapping methods. This loader defaults to the 2.3 servlet spec behaviour where non system classes are loaded from the classpath in preference to the parent loader. Java2 compliant loading, where the parent loader always has priority, can be selected with the setJava2Complient method.

Version:
  $Id: ContextLoader.java,v 1.18.2.2 2004/04/05 22:06:29 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)

Constructor Summary
`ContextLoader(HttpContext context, java.lang.String classPath, java.lang.ClassLoader parent, java.security.PermissionCollection permisions)` Constructor.

Method Summary
`java.security.PermissionCollection` `getPermissions(java.security.CodeSource cs)`
`java.net.URL` `getResource(java.lang.String name)`
`boolean` `isJava2Compliant()`
`boolean` `isSystemPath(java.lang.String name)`
`java.lang.Class` `loadClass(java.lang.String name)`
`void` `setJava2Compliant(boolean compliant)` Set Java2 compliant status.
`java.lang.String` `toString()`

Methods inherited from class java.net.URLClassLoader
`findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextLoader

    public ContextLoader(HttpContext context,
                         java.lang.String classPath,
                         java.lang.ClassLoader parent,
                         java.security.PermissionCollection permisions)
                  throws java.net.MalformedURLException,
                         java.io.IOException

  Constructor.

Parameters:
  `classPath` - Comma separated path of filenames or URLs pointing to directories or jar files. Directories should end with '/'.
Throws:
  `java.io.IOException`
  `java.net.MalformedURLException`

Method Detail

### setJava2Compliant

    public void setJava2Compliant(boolean compliant)

  Set Java2 compliant status.

  Parameters:
    `compliant` -

### isJava2Compliant

    public boolean isJava2Compliant()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPermissions

    public java.security.PermissionCollection getPermissions(java.security.CodeSource cs)

  Overrides:
    `getPermissions` in class `java.net.URLClassLoader`

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
    `java.lang.ClassNotFoundException`

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    `getResource` in class `java.lang.ClassLoader`

### isSystemPath

    public boolean isSystemPath(java.lang.String name)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.